import pytest
import yaml

@pytest.fixture(scope="module")
def streaming_sim_config():
    """Returns the service configuration deployed for the streaming simulation test. In future this needs to be a parameterised fixture shared with other rspec.yml based tests"""
    with open("test/streaming-sim/rspec.yml", 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded